[PATCH 2/5] rprivate -> make-rprivate (#869246).

Chris Lumens clumens at redhat.com
Tue Oct 23 15:02:21 UTC 2012


---
 dracut/anaconda-lib.sh             | 4 ++--
 pyanaconda/packaging/yumpayload.py | 2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/dracut/anaconda-lib.sh b/dracut/anaconda-lib.sh
index af6690d..b09a7cc 100755
--- a/dracut/anaconda-lib.sh
+++ b/dracut/anaconda-lib.sh
@@ -54,7 +54,7 @@ anaconda_live_root_dir() {
     img=$(find_runtime $mnt/$path)
     if [ -n "$img" ]; then
         info "anaconda: found $img"
-        [ "$mnt" = "$repodir" ] || { mount --rprivate /; mount --move $mnt $isodir; }
+        [ "$mnt" = "$repodir" ] || { mount --make-rprivate /; mount --move $mnt $isodir; }
         anaconda_auto_updates $repodir/$path/images
     else
         if [ "${path%.iso}" != "$path" ]; then
@@ -65,7 +65,7 @@ anaconda_live_root_dir() {
         fi
         [ -n "$iso" ] || { warn "no suitable images"; return 1; }
         info "anaconda: found $iso"
-        mount --rprivate /
+        mount --make-rprivate /
         mount --move $mnt $isodir
         iso=${isodir}/${iso#$mnt}
         mount -o loop,ro $iso $repodir
diff --git a/pyanaconda/packaging/yumpayload.py b/pyanaconda/packaging/yumpayload.py
index 73455d4..6a22bb6 100644
--- a/pyanaconda/packaging/yumpayload.py
+++ b/pyanaconda/packaging/yumpayload.py
@@ -571,7 +571,7 @@ reposdir=%s
                 # move the mount to ISO_DIR
                 # work around inability to move shared filesystems
                 iutil.execWithRedirect("mount",
-                                       ["--rprivate", "/"],
+                                       ["--make-rprivate", "/"],
                                        stderr="/dev/tty5", stdout="/dev/tty5")
                 iutil.execWithRedirect("mount",
                                        ["--move", INSTALL_TREE, ISO_DIR],
-- 
1.7.11.2



More information about the anaconda-patches mailing list